PROGRAM   ValInt ;
VAR
   G_MyString  : String ;
   G_MyInteger : Integer ;
   G_ErrCode : Integer ;
BEGIN
   G_MyString := '1234' ;

   Val ( G_MyString , G_MyInteger , G_ErrCode );

   WriteLn (   G_ErrCode  ,  '   '  ,  G_MyInteger   );
END.
